package com.cool.store.service.config;

import com.cool.store.request.config.ConfigOptionQueryRequest;
import com.cool.store.request.config.ConfigOptionTreeQueryRequest;
import com.cool.store.request.config.ConfigOptionUpdateRequest;
import com.cool.store.vo.config.ConfigOptionTreeVO;
import com.cool.store.vo.config.ConfigOptionVO;
import com.github.pagehelper.PageInfo;

import java.util.List;

public interface ConfigOptionService {

    Boolean add(ConfigOptionUpdateRequest request);

    Boolean update(ConfigOptionUpdateRequest request);

    PageInfo<ConfigOptionVO> queryPage(ConfigOptionQueryRequest request);

    /**
     *  获取所有的选项 三层结构
     * 查询激活的配置选项三层结构：配置类型 -> 配置项 -> 配置选项
     */
    List<ConfigOptionTreeVO> listActiveTree();

    Boolean deleteByIds(List<Long> ids);
}
